﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.ComponentModel;
using Telerik.Windows.Controls;
using System.Windows.Data;
using System.Windows.Automation;

namespace SilverlightApplication2
{
	public partial class MainPage : UserControl
	{
		MyViewModel viewModel;

		public MainPage()
		{
			InitializeComponent();

			viewModel = this.Resources["MyViewModel1"] as MyViewModel;
			if (viewModel != null)
			{
				CommandManager.SetCommandBindings(this, viewModel.GetCommandBindings());
			}
		}

		private void MyCommandAllowExecute(object sender, RoutedEventArgs e)
		{
			if (this.viewModel != null)
			{
				this.viewModel.CanExecuteAction1 = true;
			}
			CommandManager.InvalidateRequerySuggested();
		}

		private void MyCommandDenyExecute(object sender, RoutedEventArgs e)
		{
			if (this.viewModel != null)
			{
				this.viewModel.CanExecuteAction1 = false;
			}
			CommandManager.InvalidateRequerySuggested();
		}

		private void MyCommandAllowExecute2(object sender, RoutedEventArgs e)
		{
			if (this.viewModel != null)
			{
				this.viewModel.CanExecuteAction2 = true;
			}
			CommandManager.InvalidateRequerySuggested();
		}

		private void MyCommandDenyExecute2(object sender, RoutedEventArgs e)
		{
			if (this.viewModel != null)
			{
				this.viewModel.CanExecuteAction2 = false;
			}
			CommandManager.InvalidateRequerySuggested();
		}
	}
}
